building 6.12.1 with itself

Nicolas Martyanoff khaelin at
Sun Jan 31 08:28:32 EST 2010


By reading Matthias Kilian's scripts (thank you !), I successfully builded GHC

GHC 6.10.4 didn't build:

  g    Lexer.x
  gmake[2]: g: Command not found
  gmake[2]: [Lexer.hs] Error 127 (ignored)
  RTS -K2m -RTS -agc --strict    Parser.y
  gmake[2]: RTS: Command not found
  gmake[2]: *** [Parser.hs] Error 127
  Failed making boot in genprimopcode: 1
  gmake[1]: *** [boot] Error 1
  gmake: *** [stage1] Error 1

But GHC 6.8.3 did. I then built GHC 6.12.1. The only problem was that the
build process doesn't find the iconv lib when it's installed in /usr/local, so
the lib/include paths have to be specified when running ./configure.

I then installed Cabal 1.9 from darcs, and cabal-install, still from darcs. I
used cabal to install hscolour, xmonad and xmonad-contrib, it worked

I thought it might be good to build GHC 6.12.1 with itself just to be sure
it's working fine before make a dist, but I now get the following error:

"/usr/local/bin/ghc"   -H32m -O  -package-conf libraries/bootstrapping.conf  -package-name ghc-6.12.1 -hide-all-packages -i -icompiler/nativeGen -icompiler/basicTypes -icompiler/cmm -icompiler/codeGen -icompiler/coreSyn -icompiler/cprAnalysis -icompiler/deSugar -icompiler/ghci -icompiler/hsSyn -icompiler/iface -icompiler/main -icompiler/parser -icompiler/prelude -icompiler/profiling -icompiler/rename -icompiler/simplCore -icompiler/simplStg -icompiler/specialise -icompiler/stgSyn -icompiler/stranal -icompiler/typecheck -icompiler/types -icompiler/utils -icompiler/vectorise -icompiler/stage1/build -icompiler/stage1/build/autogen -Icompiler/stage1/build -Icompiler/stage1/build/autogen -Icompiler/stage1 -Icompiler/../libraries/base/cbits -Icompiler/../libraries/base/include -Icompiler/. -Icompiler/parser -Icompiler/utils    -optP-include -optPcompiler/stage1/build/autogen/cabal_macros.h -package Cabal-1.9.0 -package array- -package base- -package bin-package-db- -package bytestring- -package containers- -package directory- -package filepath- -package hpc- -package old-time- -package process- -package unix-  -DSTAGE=1 -Wall -fno-warn-name-shadowing -fno-warn-orphans -XCPP -XMagicHash -XUnboxedTuples -XPatternGuards -XForeignFunctionInterface -XEmptyDataDecls -XTypeSynonymInstances -XMultiParamTypeClasses -XFlexibleInstances -XRank2Types -XScopedTypeVariables -XDeriveDataTypeable -XRelaxedPolyRec     -odir compiler/stage1/build -hidir compiler/stage1/build -stubdir compiler/stage1/build -hisuf hi -osuf  o -hcsuf hc -c compiler/main/Packages.lhs -o compiler/stage1/build/Packages.o

    Couldn't match expected type `InstalledPackageInfo_ String'
           against inferred type `Cabal-
      Expected type: [InstalledPackageInfo_ String]
      Inferred type: [Cabal-
    In the second argument of `map', namely `conf'
    In the first argument of `return', namely
        `(map installedPackageInfoToPackageConfig conf)'
gmake[1]: *** [compiler/stage1/build/Packages.o] Error 1
gmake: *** [all] Error 2

I tried to "ghc-pkg mask" Cabal-, then Cabal-1.9.0, didn't change

Does someone know what's going on here, and what can be done to fix it ?


Nicolas Martyanoff
   khaelin at
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 198 bytes
Desc: not available
Url :

More information about the Glasgow-haskell-users mailing list